package nppl3.hd.video.player.databinding;
import nppl3.hd.video.player.R;
import nppl3.hd.video.player.BR;
import android.view.View;
public class PlaylistItemBinding extends android.databinding.ViewDataBinding {
    
    private static final android.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    public final android.widget.TextView audioItemSubtitle;
    public final android.widget.TextView audioItemTitle;
    public final android.widget.ImageView itemMore;
    public final android.widget.TextView length;
    private final android.widget.RelativeLayout mboundView0;
    // variables
    private java.lang.String mSubTitle;
    private nppl3.hd.video.player.media.MediaWrapper mMedia;
    private nppl3.hd.video.player.gui.audio.PlaylistAdapter.ClickHandler mHandler;
    private int mPosition;
    private int mTitleColor;
    // values
    // listeners
    private OnClickListenerImpl mAndroidViewViewOnCl;
    private OnClickListenerImpl1 mAndroidViewViewOnCl1;
    
    public PlaylistItemBinding(android.databinding.DataBindingComponent bindingComponent, View root) {
        super(bindingComponent, root, 0);
        final Object[] bindings = mapBindings(bindingComponent, root, 5, sIncludes, sViewsWithIds);
        this.audioItemSubtitle = (android.widget.TextView) bindings[2];
        this.audioItemSubtitle.setTag(null);
        this.audioItemTitle = (android.widget.TextView) bindings[1];
        this.audioItemTitle.setTag(null);
        this.itemMore = (android.widget.ImageView) bindings[4];
        this.itemMore.setTag(null);
        this.length = (android.widget.TextView) bindings[3];
        this.length.setTag(null);
        this.mboundView0 = (android.widget.RelativeLayout) bindings[0];
        setRootTag(root);
        invalidateAll();
    }
    
    @Override
    public void invalidateAll() {
        synchronized(this) {
            mDirtyFlags = 0b100000L;
        }
        requestRebind();
    }
    
    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }
    
    public boolean setVariable(int variableId, Object variable) {
        switch(variableId) {
            case BR.subTitle :
                setSubTitle((java.lang.String) variable);
                return true;
            case BR.media :
                setMedia((nppl3.hd.video.player.media.MediaWrapper) variable);
                return true;
            case BR.handler :
                setHandler((nppl3.hd.video.player.gui.audio.PlaylistAdapter.ClickHandler) variable);
                return true;
            case BR.position :
                setPosition((int) variable);
                return true;
            case BR.titleColor :
                setTitleColor((int) variable);
                return true;
        }
        return false;
    }
    
    public void setSubTitle(java.lang.String subTitle) {
        this.mSubTitle = subTitle;
        synchronized(this) {
            mDirtyFlags |= 0b1L;
        }
        super.requestRebind();
    }
    public java.lang.String getSubTitle() {
        return mSubTitle;
    }
    public void setMedia(nppl3.hd.video.player.media.MediaWrapper media) {
        this.mMedia = media;
        synchronized(this) {
            mDirtyFlags |= 0b10L;
        }
        super.requestRebind();
    }
    public nppl3.hd.video.player.media.MediaWrapper getMedia() {
        return mMedia;
    }
    public void setHandler(nppl3.hd.video.player.gui.audio.PlaylistAdapter.ClickHandler handler) {
        this.mHandler = handler;
        synchronized(this) {
            mDirtyFlags |= 0b100L;
        }
        super.requestRebind();
    }
    public nppl3.hd.video.player.gui.audio.PlaylistAdapter.ClickHandler getHandler() {
        return mHandler;
    }
    public void setPosition(int position) {
        this.mPosition = position;
        synchronized(this) {
            mDirtyFlags |= 0b1000L;
        }
        super.requestRebind();
    }
    public int getPosition() {
        return mPosition;
    }
    public void setTitleColor(int titleColor) {
        this.mTitleColor = titleColor;
        synchronized(this) {
            mDirtyFlags |= 0b10000L;
        }
        super.requestRebind();
    }
    public int getTitleColor() {
        return mTitleColor;
    }
    
    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }
    
    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String subTitle = mSubTitle;
        java.lang.String StringsMillisToStrin = null;
        nppl3.hd.video.player.media.MediaWrapper media = mMedia;
        nppl3.hd.video.player.gui.audio.PlaylistAdapter.ClickHandler handler = mHandler;
        java.lang.String titleMedia = null;
        android.view.View.OnClickListener androidViewViewOnCli = null;
        android.view.View.OnClickListener androidViewViewOnCli1 = null;
        int position = mPosition;
        long lengthMedia = 0L;
        int titleColor = mTitleColor;
    
        if ((dirtyFlags & 0b100001L) != 0) {
            // read subTitle~
            subTitle = subTitle;
        }
        if ((dirtyFlags & 0b100010L) != 0) {
            // read media~
            media = media;
        
            if (media != null) {
                // read title~.~media~
                titleMedia = media.getTitle();
                // read length~.~media~
                lengthMedia = media.getLength();
            }
        
            // read Strings~~millisToString~Strings~~length~.~media~
            StringsMillisToStrin = nppl3.hd.video.player.util.Strings.millisToString(lengthMedia);
        }
        if ((dirtyFlags & 0b100100L) != 0) {
            // read handler~
            handler = handler;
        
            if (handler != null) {
                // read android.view.View.OnClickListener~handler~~onClick
                androidViewViewOnCli = (((mAndroidViewViewOnCl == null) ? (mAndroidViewViewOnCl = new OnClickListenerImpl()) : mAndroidViewViewOnCl).setValue(handler));
                // read android.view.View.OnClickListener~handler~~onMoreClick
                androidViewViewOnCli1 = (((mAndroidViewViewOnCl1 == null) ? (mAndroidViewViewOnCl1 = new OnClickListenerImpl1()) : mAndroidViewViewOnCl1).setValue(handler));
            }
        }
        if ((dirtyFlags & 0b101000L) != 0) {
            // read position~
            position = position;
        }
        if ((dirtyFlags & 0b110000L) != 0) {
            // read titleColor~
            titleColor = titleColor;
        }
        // batch finished
        if ((dirtyFlags & 0b100001L) != 0) {
            // api target 1
            this.audioItemSubtitle.setText(subTitle);
        }
        if ((dirtyFlags & 0b101000L) != 0) {
            // api target 1
            this.audioItemSubtitle.setTag(position);
            this.audioItemTitle.setTag(position);
            this.itemMore.setTag(position);
        }
        if ((dirtyFlags & 0b100100L) != 0) {
            // api target 1
            this.audioItemSubtitle.setOnClickListener(androidViewViewOnCli);
            this.audioItemTitle.setOnClickListener(androidViewViewOnCli);
            this.itemMore.setOnClickListener(androidViewViewOnCli1);
        }
        if ((dirtyFlags & 0b100010L) != 0) {
            // api target 1
            this.audioItemTitle.setText(titleMedia);
            this.length.setText(StringsMillisToStrin);
        }
        if ((dirtyFlags & 0b110000L) != 0) {
            // api target 1
            this.audioItemTitle.setTextColor(titleColor);
        }
    }
    // Listener Stub Implementations
    public static class OnClickListenerImpl implements android.view.View.OnClickListener{
        private nppl3.hd.video.player.gui.audio.PlaylistAdapter.ClickHandler value;
        public OnClickListenerImpl setValue(nppl3.hd.video.player.gui.audio.PlaylistAdapter.ClickHandler value) {
            this.value = value;
            return value == null ? null : this;
        }
        @Override
        public void onClick(android.view.View arg0) {
            this.value.onClick(arg0);
        }
    }
    public static class OnClickListenerImpl1 implements android.view.View.OnClickListener{
        private nppl3.hd.video.player.gui.audio.PlaylistAdapter.ClickHandler value;
        public OnClickListenerImpl1 setValue(nppl3.hd.video.player.gui.audio.PlaylistAdapter.ClickHandler value) {
            this.value = value;
            return value == null ? null : this;
        }
        @Override
        public void onClick(android.view.View arg0) {
            this.value.onMoreClick(arg0);
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0b1111111111111111111111111111111111111111111111111111111111111111L;
    
    public static PlaylistItemBinding inflate(android.view.LayoutInflater inflater, android.view.ViewGroup root, boolean attachToRoot) {
        return inflate(inflater, root, attachToRoot, android.databinding.DataBindingUtil.getDefaultComponent());
    }
    public static PlaylistItemBinding inflate(android.view.LayoutInflater inflater, android.view.ViewGroup root, boolean attachToRoot, android.databinding.DataBindingComponent bindingComponent) {
        return android.databinding.DataBindingUtil.<PlaylistItemBinding>inflate(inflater, nppl3.hd.video.player.R.layout.playlist_item, root, attachToRoot, bindingComponent);
    }
    public static PlaylistItemBinding inflate(android.view.LayoutInflater inflater) {
        return inflate(inflater, android.databinding.DataBindingUtil.getDefaultComponent());
    }
    public static PlaylistItemBinding inflate(android.view.LayoutInflater inflater, android.databinding.DataBindingComponent bindingComponent) {
        return bind(inflater.inflate(nppl3.hd.video.player.R.layout.playlist_item, null, false), bindingComponent);
    }
    public static PlaylistItemBinding bind(android.view.View view) {
        return bind(view, android.databinding.DataBindingUtil.getDefaultComponent());
    }
    public static PlaylistItemBinding bind(android.view.View view, android.databinding.DataBindingComponent bindingComponent) {
        if (!"layout/playlist_item_0".equals(view.getTag())) {
            throw new RuntimeException("view tag isn't correct on view:" + view.getTag());
        }
        return new PlaylistItemBinding(bindingComponent, view);
    }
}
    /* flag mapping
        flag 0: subTitle~
        flag 1: media~
        flag 2: handler~
        flag 3: position~
        flag 4: titleColor~
        flag 5: INVALIDATE ANY
    flag mapping end*/
    //end